OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000966OMNeT++IDE / documentation generatorpublic2016-08-22 17:142017-02-01 13:39
Reporterpaolinux 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS Version10 (1607)
Product Version5.0 
Target VersionFixed in Version5.1pre3 
Summary0000966: "Generate NED documentation" crashes due to broken pathname under Windows
DescriptionI was trying to generate the documentation for one of the samples (dyna) via "Project->Generate NED Documentation" but I got the following error:

An internal error occurred during: "Generating NED Documentation...".
org.omnetpp.common.util.ProcessUtils$ExecException: Process exec error for C:\Users\XXX\Documents\usr\lib\omnetpp-5.0\tools\win32\usr\bin\doxygen.exe (exit code 1) : error: Failed to open temporary file /c/Users/XXX/Documents/usr/lib/omnetpp-5.0/samples/dyna/C:\Users\XXX\Documents\usr\lib\omnetpp-5.0\samples\dyna\doc\doxy/doxygen_objdb_3808.tmp

Based on the output, it looks like the problem is due to the pathname being passed to doxygen is ill-formed, containing both mingw32- (/c/Users/...) and Windows- (c:\Users\...) -style pathname.

I've tried with other projects too, obtaining the same results.

Let me know if you need any more information.

Thanks,
P.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001224)
vwifvat (reporter)
2016-10-30 01:48

Dear paolinux,

I believe that I actually just solved this issue.

So OMNET++ comes with Doxygen, but it turned out that the version was out of date. I ended up downloading the newest version of Doxygen, and replacing the existing doxygen.exe file with the most up-to-date version (at the time of this post, it was found here: http://www.stack.nl/~dimitri/doxygen/download.html [^])

I hope this helps any future users out! It took me quite a while to figure out.

Regards,

Van
(0001240)
paolinux (reporter)
2016-12-22 15:32

Hi Van,

thanks a lot for your input and apologies for the delay in getting back to you.

I've tested your solution on my end and I can confirm that it fixes the problem. I still hope this issue will be addressed in the next release of omnetpp, without requiring the external dependency but for the time being it's a great workaround.

Thanks and merry Xmas,
P.
(0001241)
rhornig (administrator)
2017-01-04 11:42

We should use mingw version of doxygen and dot (instead of MSYS). MSYS version cannot understand the Windows style path in configuration file
(0001279)
rhornig (administrator)
2017-02-01 13:39

The IDE now configures the doxy.cfg using relative directories so differences between the handling of Windows/Unix specific directory formats will no longer be a problem.

- Issue History
Date Modified Username Field Change
2016-08-22 17:14 paolinux New Issue
2016-10-30 01:48 vwifvat Note Added: 0001224
2016-12-22 15:32 paolinux Note Added: 0001240
2017-01-04 11:42 rhornig Note Added: 0001241
2017-02-01 13:39 rhornig Note Added: 0001279
2017-02-01 13:39 rhornig Status new => resolved
2017-02-01 13:39 rhornig Fixed in Version => 5.1pre3
2017-02-01 13:39 rhornig Resolution open => fixed
2017-02-01 13:39 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker